Pregunta sobre Ditty News Ticker de Wordpress:

No se muestra ningún ticker de noticias

Un usuario preguntó 👇

Esta es la página que creó el plugin.

http://dev.themigrantproject.org/ticker/demo-news-tick/

Publiqué el ticker de noticias usando php aquí

http://dev.themigrantproject.org/about-us/

Lo agregué usando el atajo aquí justo debajo de la imagen

http://dev.themigrantproject.org/risks/european-immigration-policies/

Ninguno de ellos muestra

(@metaforocreaciones)

Hace 10 meses, 1 semana

Su sitio tiene un archivo javascript que no se está cargando, lo que puede ser la razón por la que no se eliminó el script de ticker. Veo lo siguiente en las herramientas de desarrollo del navegador:

Failed to load resource: the server responded with a status of 403 (Forbidden): https://tympanus.net/Development/Slicebox/js/jquery.slicebox.js?ver=5.3.2

Si no está seguro de dónde se intenta cargar este archivo, consulte el siguiente artículo para ver si puede sugerir un plugin o tema que esté causando la consulta de JavaScript: https://www.metaphorcreations.com/article/test-plugin-conflicts/

Avísame lo que averigües. ¡Gracias!

(@metaforocreaciones)

Hace 10 meses, 1 semana

También veo este error:

jQuery.Deferred exception: $(...).ditty_news_ticker is not a function

¿Tiene un plugin para su sitio (o tema) que corrige scripts externos con carga diferida? Si es así, deberá deshabilitar esto para el script ditty_news_ticker, ya que el script debe cargarse antes de que se solicite el código para el ticker.

Consulte el artículo mencionado anteriormente para averiguar qué puede estar causando esto.

(@ elieobeid7)

Hace 10 meses, 1 semana

jQuery.Disty seleccionado: $ (…) no aplica .ditty_news_ticker

No veo ese error, ¿podría decirme dónde está? No tengo plugins que se remitan a ese subdominio

Toco una caja de rebanadas, la cancioncilla todavía no se ve

(@metaforocreaciones)

Hace 10 meses, 1 semana

Debes abrir las herramientas de desarrollo del navegador. https://www.lifewire.com/web-browser-developer-tools-3988965

Luego haga clic en la pestaña de la consola. Esto debería indicar errores de javascript e incluso imágenes o enlaces descargados.

Eché otro vistazo a su sitio y vi 2 versiones de jQuery cargando, con ambos pies de página. Su sitio solo debe cargar la versión predeterminada que viene empaquetada con WordPress y debe cargarse en el encabezado de sus páginas. Esto puede ser con seguridad lo que está causando el problema.

La versión predeterminada se carga aquí http://dev.themigrantproject.org/wp-includes/js/jquery/jquery.js?ver=1.12.4-wp

Pero debajo de eso, su sitio está cargando jQuery desde: https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js?ver=5.3.2

Esta versión se está cargando por su tema o uno de sus plugins. Ejecutar a través de https://www.metaphorcreations.com/article/test-plugin-conflicts/ para rastrear la fuente. También debería haber alguna forma de mantener jQuery empaquetado para permanecer en una de sus páginas. Es posible que tenga un plugin de caché que le dé la opción de cargarlo en el pie de página, por lo que podría estar allí.

Como referencia, los sitios de WordPress solo deben cargar la versión empaquetada de jQuery y nunca cargar otras versiones. La única forma en que los desarrolladores pueden estar seguros de que sus scripts se ejecutan sin problemas, ya que las diferentes versiones pueden comportarse de manera diferente. Además, si jQuery se carga dos veces, incluso si tiene la misma versión, puede afectar negativamente a su sitio. Sé que algunos plugins te dan la opción de cargar versiones más nuevas, o incluso requieren que su funcionalidad funcione … lo cual puede ser bueno para ese plugin, pero no para el resto.

¿Solucionó tu problema??

0 / 0

Deja una respuesta 0

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *